NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Die.RibChildBuilder Class Reference

Represents a Die Rib Child sub feature. More...

Inheritance diagram for NXOpen.Die.RibChildBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.IProfile[] GetBottomEnd (out NXOpen.Die.DirectionOption direction)
 Gets the bottom end limit geometry of the die rib as a profile. More...
 
unsafe NXOpen.IProfile[] GetCenterline (out NXOpen.Die.DirectionOption direction)
 Gets the centerline of the rib. More...
 
unsafe NXOpen.IProfile[] GetStart (out NXOpen.Die.DirectionOption direction)
 Gets the start limit geometry of the die rib as a profile. More...
 
unsafe NXOpen.IProfile[] GetTopEnd (out NXOpen.Die.DirectionOption direction)
 Gets the top end limit geometry of the die rib as a profile. More...
 
unsafe void SetBottomEnd (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the bottom end limit geometry of the die rib using a profile. More...
 
unsafe void SetCenterline (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the centerline of the rib. More...
 
unsafe void SetStart (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the start limit geometry of the die rib using a profile. More...
 
unsafe void SetTopEnd (NXOpen.Die.DirectionOption direction, NXOpen.IProfile[] profileEntries)
 Sets the top end limit geometry of the die rib using a profile. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AdjustedThickness [get, set]
 Returns or sets the adjusted thickness of the die rib. More...
 
unsafe double Angle [get, set]
 Returns or sets the angle of the die rib. More...
 
unsafe NXOpen.IOrientation Bottom [get, set]
 Returns or sets the bottom limit geometry of the die rib. More...
 
unsafe NXOpen.IOrientation BottomEnd [get, set]
 Returns or sets the bottom end limit geometry of the die rib. More...
 
unsafe double BottomHorizontalOffset [get, set]
 Returns or sets the bottom horizontal offset of the die rib. More...
 
unsafe double BottomLimitOffset [get, set]
 Returns or sets the bottom limit offset of the die rib. More...
 
unsafe double BottomVerticalOffset [get, set]
 Returns or sets the bottom vertical offset of the die rib. More...
 
unsafe
NXOpen.Die.DieBuildStatusOption 
BuildStatus [get]
 Returns the build status of the die rib. More...
 
unsafe double CenterlineXyOffset [get, set]
 Returns or sets the centerline xy offset of the die rib. More...
 
unsafe bool DesignStatus [get, set]
 Returns or sets the design status of the die rib, if true the rib will be built into the model, if false it will not. More...
 
unsafe bool DisplayStatus [get, set]
 Returns or sets the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed. More...
 
unsafe double Height [get, set]
 Returns or sets the height of the die rib. More...
 
unsafe double LccMinWidth [get, set]
 Returns or sets the lightening core mininum width of the die rib. More...
 
unsafe bool LighteningCore [get, set]
 Returns or sets the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not. More...
 
unsafe double LighteningCoreClearance [get, set]
 Returns or sets the lightening core clearance of the die rib. More...
 
unsafe bool Rectangular [get, set]
 Returns or sets the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib. More...
 
unsafe NXOpen.IOrientation Start [get, set]
 Returns or sets the start limit geometry of the die rib. More...
 
unsafe double Thickness [get, set]
 Returns or sets the thickness of the die rib. More...
 
unsafe NXOpen.IOrientation Top [get, set]
 Returns or sets the top limit geometry of the die rib. More...
 
unsafe NXOpen.IOrientation TopEnd [get, set]
 Returns or sets the top end limit geometry of the die rib. More...
 
unsafe double TopHorizontalOffset [get, set]
 Returns or sets the top horizontal offset of the die rib. More...
 
unsafe double TopLimitOffset [get, set]
 Returns or sets the top limit offset of the die rib. More...
 
unsafe double TopVerticalOffset [get, set]
 Returns or sets the top vertical offset of the die rib. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Die Rib Child sub feature.

This sub feature is created via the main feature builder.

Created in NX4.0.0

Member Function Documentation

unsafe NXOpen.IProfile [] NXOpen.Die.RibChildBuilder.GetBottomEnd ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the bottom end limit geometry of the die rib as a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
unsafe NXOpen.IProfile [] NXOpen.Die.RibChildBuilder.GetCenterline ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the centerline of the rib.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
unsafe NXOpen.IProfile [] NXOpen.Die.RibChildBuilder.GetStart ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the start limit geometry of the die rib as a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
unsafe NXOpen.IProfile [] NXOpen.Die.RibChildBuilder.GetTopEnd ( out NXOpen.Die.DirectionOption  direction)
inline

Gets the top end limit geometry of the die rib as a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
Returns
The profile entries, will be curves, edges, faces, sketches or curve features.
unsafe void NXOpen.Die.RibChildBuilder.SetBottomEnd ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the bottom end limit geometry of the die rib using a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
unsafe void NXOpen.Die.RibChildBuilder.SetCenterline ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the centerline of the rib.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.
unsafe void NXOpen.Die.RibChildBuilder.SetStart ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the start limit geometry of the die rib using a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe the profile entries, can be curves, edges, faces, sketches or curve features.
unsafe void NXOpen.Die.RibChildBuilder.SetTopEnd ( NXOpen.Die.DirectionOption  direction,
NXOpen.IProfile[]  profileEntries 
)
inline

Sets the top end limit geometry of the die rib using a profile.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
directionProfile direction.
profileEntriesThe profile entries, can be curves, edges, faces, sketches or curve features.

Property Documentation

unsafe double NXOpen.Die.RibChildBuilder.AdjustedThickness
getset

Returns or sets the adjusted thickness of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.Angle
getset

Returns or sets the angle of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.IOrientation NXOpen.Die.RibChildBuilder.Bottom
getset

Returns or sets the bottom limit geometry of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.IOrientation NXOpen.Die.RibChildBuilder.BottomEnd
getset

Returns or sets the bottom end limit geometry of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.BottomHorizontalOffset
getset

Returns or sets the bottom horizontal offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.BottomLimitOffset
getset

Returns or sets the bottom limit offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.BottomVerticalOffset
getset

Returns or sets the bottom vertical offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Die.DieBuildStatusOption NXOpen.Die.RibChildBuilder.BuildStatus
get

Returns the build status of the die rib.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.CenterlineXyOffset
getset

Returns or sets the centerline xy offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.RibChildBuilder.DesignStatus
getset

Returns or sets the design status of the die rib, if true the rib will be built into the model, if false it will not.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.RibChildBuilder.DisplayStatus
getset

Returns or sets the display status of the die rib, if true input data to the rib will be displayed, if false the input data will not be displayed.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.Height
getset

Returns or sets the height of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.LccMinWidth
getset

Returns or sets the lightening core mininum width of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.RibChildBuilder.LighteningCore
getset

Returns or sets the lightening core switch of the die rib, if true the lightening core will be built into the rib, if false it will not.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.LighteningCoreClearance
getset

Returns or sets the lightening core clearance of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.RibChildBuilder.Rectangular
getset

Returns or sets the rectangular switch of the die rib, if true the lightening core will be rectangular, if false it will follow the shape of the rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.IOrientation NXOpen.Die.RibChildBuilder.Start
getset

Returns or sets the start limit geometry of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.Thickness
getset

Returns or sets the thickness of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.IOrientation NXOpen.Die.RibChildBuilder.Top
getset

Returns or sets the top limit geometry of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.IOrientation NXOpen.Die.RibChildBuilder.TopEnd
getset

Returns or sets the top end limit geometry of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.TopHorizontalOffset
getset

Returns or sets the top horizontal offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.TopLimitOffset
getset

Returns or sets the top limit offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.RibChildBuilder.TopVerticalOffset
getset

Returns or sets the top vertical offset of the die rib.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.